"""Added documents

Revision ID: 57a48ed3b103
Revises: e3312a5fe305
Create Date: 2022-01-10 08:28:17.526701+01:00

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "57a48ed3b103"
down_revision = "e3312a5fe305"
branch_labels = None
depends_on = None


def upgrade():
    """Upgrade"""
    # Change primary key from id to sid
    op.drop_constraint("request_pkey", "request", "primary")
    op.create_primary_key("request_pkey", "request", ["sid"])
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "documents",
        sa.Column("sid", sa.Integer(), nullable=False),
        sa.Column("request_id", sa.Integer(), nullable=True),
        sa.Column("storage", sa.String(), nullable=True),
        sa.Column("name", sa.String(), nullable=True),
        sa.Column("url", sa.String(), nullable=True),
        sa.Column("size", sa.String(), nullable=True),
        sa.Column("type", sa.String(), nullable=True),
        sa.Column("originalName", sa.String(), nullable=True),
        sa.ForeignKeyConstraint(
            ["request_id"],
            ["request.sid"],
        ),
        sa.PrimaryKeyConstraint("sid"),
    )
    op.create_index(
        op.f("ix_documents_request_id"),
        "documents",
        ["request_id"],
        unique=False,
    )
    op.create_index(op.f("ix_documents_sid"), "documents", ["sid"], unique=False)
    # ### end Alembic commands ###


def downgrade():
    """Downgrade"""
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_documents_sid"), table_name="documents")
    op.drop_index(op.f("ix_documents_request_id"), table_name="documents")
    op.drop_table("documents")
    # ### end Alembic commands ###
